## org.biojava.bio.seq.io
Class SimpleFeatureBuilder

    java.lang.Object
      |
      +--org.biojava.bio.seq.io.SimpleFeatureBuilder

public class SimpleFeatureBuilder
extends java.lang.Object
implements FeatureBuilder, java.io.Serializable

Simple FeatureBuilder implementation.

Author:
  Thomas Down, Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`SimpleFeatureBuilder()`

Method Summary
`Feature.Template` `buildFeatureTemplate(java.lang.String type, Location loc, StrandedFeature.Strand strandHint, java.util.Map attrs)` Return a latent (template) feature object to represent a feature in some database.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleFeatureBuilder

    public SimpleFeatureBuilder()

Method Detail

### buildFeatureTemplate

    public Feature.Template buildFeatureTemplate(java.lang.String type,
                                                 Location loc,
                                                 StrandedFeature.Strand strandHint,
                                                 java.util.Map attrs)

  Description copied from interface: FeatureBuilder
  Return a latent (template) feature object to represent a feature in some database.
  Specified by:
    buildFeatureTemplate in interface FeatureBuilder
  Tags copied from interface: FeatureBuilder
  Parameters:
    `type` - String which gives the feature's type.
    `loc` - The feature's location in its parent sequence.
    `strandHint` - a value from StrandedFeature hinting at which strand of DNA the caller believes the feature to be on. This may be safely ignored if you believe that the notion of `strand' is not relevant.
    `attrs` - a Map where the key-value pairs represent attributes of the feature. In general, the keys will always be Strings, and the values will usually be Strings, but may be other Objects. For an attribute with no value, Boolean.TRUE is used.
  Returns:
    A Feature.Template instance